"use strict";

const moment = require('moment');

const config = require('komodo-sdk/config');
const logger = require('komodo-sdk/logger');
const matrix = require('komodo-sdk/matrix');
const pull = require('komodo-sdk/gateway/pull');

function buy(task) {
    logger.verbose('Got task from CORE', {task: task});

    setTimeout(
        function() {
            if (task.destination % 2) {
                pull.report({
                    trx_id: task.trx_id,
                    rc: '14',
                    message: `GAGAL karena nomor tujuan ${task.destination} adalah nomor ganjil`
                });
            }
            else {
                pull.report({
                    trx_id: task.trx_id,
                    rc: '00',
                    sn: moment().format('YYYYMMDDHHmmssSSS'),
                    message: `BERHASIL karena nomor tujuan ${task.destination} adalah nomor genap`
                });
            }

        },
        (config.max_result_timeout_ms || 2000) * Math.random()
    )
}

exports.buy = buy;
